> ## Documentation Index
> Fetch the complete documentation index at: https://brightdata-ipv6-release.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取快照

> Get a list of triggered collections, the list contains only snapshots created for a specific dataset



## OpenAPI

````yaml get /datasets/v3/snapshots
openapi: 3.1.0
info:
  title: Brightdata API
  description: API for interaction with datasets marketplace
  version: 1.0.0
servers:
  - url: https://api.brightdata.com
security:
  - bearerAuth: []
paths:
  /datasets/v3/snapshots:
    get:
      description: >-
        Get a list of triggered collections, the list contains only snapshots
        created for a specific dataset
      parameters:
        - name: dataset_id
          in: query
          description: The dataset identifier (can be found in the specific API page)
          required: true
          schema:
            type: string
          example: gd_l1vikfnt1wgvvqz95w
        - name: status
          in: query
          description: List only snapshots with a specific status
          required: false
          schema:
            type: string
            enum:
              - running
              - ready
              - failed
          example: ready
        - name: skip
          in: query
          description: Skip the first `x` snapshots
          required: false
          schema:
            type: integer
            default: 0
          example: 0
        - name: limit
          in: query
          description: Limit the number of snapshots to return
          required: false
          schema:
            type: integer
            default: 1000
            maximum: 5000
          example: 0
        - name: from_date
          in: query
          description: List only snapshots that were created after a specific date
          required: false
          schema:
            type: string
            format: date
          example: '2024-01-01'
        - name: to_date
          in: query
          description: List only snapshots that were created before a specific date
          required: false
          schema:
            type: string
            format: date
          example: '2024-04-01'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: Snapshot ID returned by trigger API
                    created:
                      type: string
                      format: date-time
                      description: When the collection was requested
                    status:
                      type: string
                      enum:
                        - running
                        - ready
                        - failed
                      description: Status of the collection
                    dataset_id:
                      type: string
                      description: ID of the dataset for which collection was triggered
                    dataset_size:
                      type: integer
                      description: Amount of records collected
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````